<template>
    <div v-if="view && sortedItems">
        <div v-for="item in view.items"
            :key=item.aliasId>
            {{item.aliasId}}
            {{item.aliasName}}
            <i>{{item.code ? item.code.number : ''}}</i> 
            <b>{{item.childrenAmount ? (item.childrenAmount.toLocaleString() + ' ₽') : '-'}}</b>
            <span v-if="item.isDisplayed" style="color:green; font-weight:bold">&#10003;</span>
            <span v-else style="color:red">&#10008;</span>
        </div>
    </div>
</template>

<script>
    export default {
        name: 'BudgetViewTable',
        props: {
            view: Object,
            editMode: Boolean
        },
        computed: {
            sortedItems() {
                if (!this.view)
                    return [];

                return [...this.view.items]
                    .sort((a, b) => (a.code ? a.code.number : 'z').replace(/\s/g, '').localeCompare((b.code ? b.code.number : 'z').replace(/\s/g, '')));
            }
        }
    }
</script>